기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

Projects and Apps Client API

v1

지원 가능
​

Projects and Apps Client API

v1

지원 가능
​

이 페이지는 선택한 언어로 제공되지 않습니다.
Unity Services Web APIs
​
​
mdx:openapi:endpoints
  • environments

Unity Projects Environments API (Public)

Public Unity API for managing project environments.
Download OpenAPI specification:

List environments for a project


List all the environments for a project.

Path parameters for "{title}"

projectId

string
필수
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

Query parameters for "{title}"

archived

boolean
If set to true, the API returns the archived environments

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments"

Response example

{ "results": [ { "id": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectId": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectGenesisId": "e69fb9a4-0b13-43a0-8a47-b599f01d8300", "name": "production", "isDefault": true, "createdAt": "2020-07-20T18:30:51.243Z", "updatedAt": "2020-08-25T11:55:20.651Z", "archivedAt": "2020-08-25T11:55:20.651Z" } ]}

Create an environment in a project


Create an environment under a project.

Path parameters for "{title}"

projectId

string
필수
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

Request body for "{title}"

Media Type:
application/json

name

string
필수
example: staging
The name of the environment. Only lower case characters and digits are allowed.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "name": "staging"}' \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments"

Response example

{ "id": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectId": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectGenesisId": "e69fb9a4-0b13-43a0-8a47-b599f01d8300", "name": "production", "isDefault": true, "createdAt": "2020-07-20T18:30:51.243Z", "updatedAt": "2020-08-25T11:55:20.651Z", "archivedAt": "2020-08-25T11:55:20.651Z"}

Get an environment


Get a single environment.

Path parameters for "{title}"

projectId

string
필수
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

environmentId

string
필수
example: 8bdacc33-6eef-4577-beb0-633c86259f0a
ID of the environment

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments/{environmentId}"

Response example

{ "id": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectId": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectGenesisId": "e69fb9a4-0b13-43a0-8a47-b599f01d8300", "name": "production", "isDefault": true, "createdAt": "2020-07-20T18:30:51.243Z", "updatedAt": "2020-08-25T11:55:20.651Z", "archivedAt": "2020-08-25T11:55:20.651Z"}

Delete an environment


Delete an existing environment.

Path parameters for "{title}"

projectId

string
필수
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

environmentId

string
필수
example: 8bdacc33-6eef-4577-beb0-633c86259f0a
ID of the environment

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments/{environmentId}"

Response example

{ "type": "string", "title": "string", "status": 0, "requestId": null, "code": 0, "detail": "string", "instance": "string", "details": [ {} ]}

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.